summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--libraries/opal/opal.SlackBuild8
1 files changed, 2 insertions, 6 deletions
diff --git a/libraries/opal/opal.SlackBuild b/libraries/opal/opal.SlackBuild
index c9710bb403..dac5b1e9dd 100644
--- a/libraries/opal/opal.SlackBuild
+++ b/libraries/opal/opal.SlackBuild
@@ -85,12 +85,8 @@ make install DESTDIR=$PKG
# Remove static library
rm $PKG/usr/lib${LIBDIRSUFFIX}/libopal_s.a
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a Change* mpl-1.0.htm docs/* $PKG/usr/doc/$PRGNAM-$VERSION